(function () {
  var myPlugin = function (hook, vm) {
    // Invoked one time when the docsify instance has mounted on the DOM
    hook.mounted(function () {
      console.log(window.Docsify,vm);
    });

    // hook.beforeEach(function (markdown) {

    //     const tag =" [-FAQ-]";
    //     console.log(markdown);

    //     let tagPosition = markdown.indexOf(tag);
    //     if(tagPosition===-1) return;

    //     let toc = '> table of content : '+"\n";
    //     toc += '* Title 1 '+"\n";
    //     regex = new RegExp(tag,"i");
    //     markdown = markdown.replace(regex,toc);

    //     return markdown;
    // });

    hook.afterEach(function (html) {


        const tag ="[-FAQ-]";

        let tagPosition = html.indexOf(tag);
        if(tagPosition===-1) return;

        let questionBlock = html.substr(tagPosition);

        let toc = "<ul style='list-style-type:none;margin:0;padding:0'>";
       
        
        const dom = document.createElement("div");
        dom.innerHTML = questionBlock;
    
        let titles = dom.querySelectorAll('h2[id]');
        for(var k in titles){
          let title = titles[k];
          if(!title.innerText ||  !title.id) continue;
          let link = document.location.hash;
          link = link.replace(/\?id=/,'');
          link +='?id='+title.id;

          toc += '<li>'+k+'. <a href="'+link+'">'+title.innerText+"</a></li>";
        }
        toc += "</ul>";
        

       
        regex = new RegExp(tag,"i");
        console.log(toc);
        html = html.replace("\[\-FAQ\-\]",toc);

        

        return html + 'Powered by redok';
    });

  };

  // Add plugin to docsify's plugin array
  $docsify = $docsify || {};
  $docsify.plugins = [].concat($docsify.plugins || [], myPlugin);
})();

