# Installed plugins

## Terminal like

> markdown

	```terminal
	$|docker run -p 3000:3000 -p 35729:35729 -e REFRESH_DELAY=1 -e REPOSITORY_URL=https://your-remote-markdow-doc.git rdoc
	>|docker run -p 3000:3000 -p 35729:35729 -e REFRESH_DELAY=1 -e REPOSITORY_URL=https://your-remote-markdow-doc.git rdoc
	```

> render

```terminal
$|docker run -p 3000:3000 -p 35729:35729 -e REFRESH_DELAY=1 -e REPOSITORY_URL=https://your-remote-markdow-doc.git rdoc
>|docker run -p 3000:3000 -p 35729:35729 -e REFRESH_DELAY=1 -e REPOSITORY_URL=https://your-remote-markdow-doc.git rdoc
```

## Langages 

> markdown

	```php
	$jude = 'Jude';
	echo 'Hey '.$jude;
	```

> render

```php
$jude = 'Jude';
echo 'Hey '.$jude;
```


## Image zoom

> render

![](_media/logo.png)

## Integration glossary

Some words as a docker can be added to the ``_glossary.md`` file to be auto linked/described in any page 


## Tab system

> markdown

	Surround below black  by html comment tabs:start  and  tabs:end 
	#### **English**
	Hello!
	#### **French**
	Bonjour!
	#### **Italian**
	Ciao!
	

> render

<!-- tabs:start -->

#### **English**

Hello!

#### **French**

Bonjour!

#### **Italian**

Ciao!

<!-- tabs:end -->