# :fas fa-home fa-fw: Welcome to Red Hook !

> ReDoc is a fast remote markdown documentation base on the awesome [docsify](https://docsify.js.org/) :smile:

## Okay but what the hell we added to Docsify?

Nothing but a few adjustments to increase this wonderful tool :

* Upgraded Docker image to link an entiere remote repository to docsify
* Remote Private repository managed with a project token
* Adding common usefull plugins for developpers doc

## How to install

> Basically, just type a :

```terminal
$|docker run -p 3000:3000 -p 35729:35729 -e REFRESH_DELAY=1 -e REPOSITORY_URL=https://your-remote-markdow-doc.git rdoc
>|Serving /My/doc/path/doc now.
>|success|Listening at http://localhost:3000
```

It's done ! You docsify is available at https://127.0.0.1:3000

If your a beginner with docsify and docker, please just go to the [getting start section](getting-started)


